Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1910865 - Review Request: venom - Golang multi-hop proxy
Summary: Review Request: venom - Golang multi-hop proxy
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1910860 1910862
Blocks: FE-DEADREVIEW FE-SECLAB
TreeView+ depends on / blocked
 
Reported: 2020-12-25 09:26 UTC by Fabian Affolter
Modified: 2022-04-08 00:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-08 00:45:24 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Fabian Affolter 2020-12-25 09:26:15 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/venom.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/venom-1.1.0-1.fc33.src.rpm

Project URL: https://github.com/Dliv3/Venom

Description:
Venom is multi-hop proxy for penetration testers.

Koji scratch build:
Fails due to missing dependencies

rpmlint output:
$ rpmlint venom-1.1.0-1.fc33.src.rpm 
venom.src: W: spelling-error Summary(en_US) Golang -> Golan, Golan g, Angolan
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint venom-*
venom.x86_64: W: spelling-error Summary(en_US) Golang -> Golan, Golan g, Angolan
venom.x86_64: W: no-manual-page-for-binary venom-admin
venom.x86_64: W: no-manual-page-for-binary venom-agent
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2021-03-08 09:29:23 UTC
 - for cmd in admin agent; do

admin and agent are too generic and might conflict with other packager. I suggest you to prefix them with venom. 

 - The import path is v3 in the sources and go.mod:

BuildRequires:  golang(github.com/cheggaaa/pb/v3)

This was fixed in https://github.com/Dliv3/Venom/commit/0f02860e8c4bfc7abade1c159787bc0e46dce5d6
I suggest you package the tip to fix the issue.

# https://github.com/Dliv3/Venom
%global goipath         github.com/Dliv3/Venom
Version:                1.1.0
%global commit          2b84e6846992399edf72eb6375825fc9062b2f01

[…]

%changelog
* Thu Dec 24 2020 Fabian Affolter <mail> - 1.1.0-1.20210308git2b84e68
- Initial package for Fedora

Comment 2 Package Review 2022-03-09 00:45:14 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 3 Package Review 2022-04-08 00:45:24 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.